socket.h File Reference
Socket convenience functions

Osmocom socket convenience functions. More...

`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | OSMO_SOCK_F_CONNECT (1 << 0)
#define | OSMO_SOCK_F_BIND (1 << 1)
#define | OSMO_SOCK_F_NONBLOCK (1 << 2)

## Functions

int | osmo_sock_init (uint16_t family, uint16_t type, uint8_t proto, const char *host, uint16_t port, unsigned int flags)
| Initialize a socket (including bind/connect) More...
int | osmo_sock_init_ofd (struct osmo_fd *ofd, int family, int type, int proto, const char *host, uint16_t port, unsigned int flags)
| Initialize a socket and fill osmo_fd. More...
int | osmo_sock_init_sa (struct sockaddr *ss, uint16_t type, uint8_t proto, unsigned int flags)
| Initialize a socket and fill sockaddr. More...
int | osmo_sockaddr_is_local (struct sockaddr *addr, unsigned int addrlen)
| Determine if the given address is a local address. More...
int | osmo_sock_unix_init (uint16_t type, uint8_t proto, const char *socket_path, unsigned int flags)
| Initialize a unix domain socket (including bind/connect) More...
int | osmo_sock_unix_init_ofd (struct osmo_fd *ofd, uint16_t type, uint8_t proto, const char *socket_path, unsigned int flags)
| Initialize a unix domain socket and fill osmo_fd. More...

## Detailed Description

Osmocom socket convenience functions.